{
  "name": "react-spa",
  "version": "0.1.0",
  "private": true,
  "author": {
    "name": "Peter Rybar",
    "email": "pr.rybar@gmail.com",
    "url": "https://gitlab.com/peter-rybar"
  },
  "scripts": {
    "clean": "rm -rvf node_modules build storybook-static",
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "storybook": "start-storybook -p 9009 -s public",
    "storybook-static": "build-storybook -s public",
    "api-generate": "npx openapi-generator generate -i src/api/swagger.json -g typescript-fetch -o src/api/generated --additional-properties=typescriptThreePlus=true"
  },
  "dependencies": {
    "@storybook/addon-knobs": "^5.3.17",
    "@testing-library/jest-dom": "^4.2.4",
    "@testing-library/react": "^9.5.0",
    "@testing-library/user-event": "^7.2.1",
    "@types/jest": "^24.9.1",
    "@types/node": "^12.12.31",
    "@types/react": "^16.9.25",
    "@types/react-dom": "^16.9.5",
    "i18next": "^21.8.10",
    "i18next-browser-languagedetector": "^6.1.4",
    "i18next-xhr-backend": "^3.2.2",
    "moment": "^2.24.0",
    "numeral": "^2.0.6",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-ga": "^2.7.0",
    "react-i18next": "^11.17.3",
    "react-router": "^5.1.2",
    "react-router-dom": "^5.1.2",
    "react-scripts": "3.4.1",
    "typescript": "^3.8.3"
  },
  "devDependencies": {
    "@openapitools/openapi-generator-cli": "^1.0.12-4.3.0",
    "@storybook/addon-actions": "^5.3.17",
    "@storybook/addon-links": "^5.3.17",
    "@storybook/addons": "^5.3.17",
    "@storybook/preset-create-react-app": "^2.1.1",
    "@storybook/react": "^5.3.17",
    "@types/numeral": "0.0.26",
    "@types/react-router": "^5.1.4",
    "@types/react-router-dom": "^5.1.3",
    "@types/storybook__react": "^5.2.1"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "eslintConfig": {
    "extends": "react-app"
  }
}
